package main

import (
	"git.ddd.rip/ptrcnull/modweb"
	helloworld "git.ddd.rip/ptrcnull/modweb/examples/test/hello-world"
	auth "git.ddd.rip/ptrcnull/modweb/modules/auth/login_form"
)

func main() {
	app := modweb.New(modweb.Config{
		AppName: "Test App",
	})

	app.Register(&auth.Module{
		Handler: func(user, pass string) *modweb.User {
			return nil
		},
	})
	// app.Register(&discord_login.Module{})
	app.Register(&helloworld.Module{})

	err := app.Run(":8011")
	if err != nil {
		panic(err)
	}
}
